## mx4j.tools.remote.http
Class HTTPConnectionManager

    java.lang.Object
      mx4j.tools.remote.AbstractConnectionManager
          mx4j.tools.remote.http.HTTPConnectionManager

All Implemented Interfaces:
  ConnectionManager

public class HTTPConnectionManager
extends AbstractConnectionManager

Version:
  $Revision: 1.4 $

Constructor Summary
`HTTPConnectionManager(AbstractJMXConnectorServer server, java.lang.String protocol, java.util.Map environment)`

Method Summary
`protected void` `doClose()` HTTPConnectionManager does not really manages connections, so this method does nothing by default
`protected void` `doCloseConnection(Connection connection)` HTTPConnectionManager does not really manages connections, so this method does nothing by default
`protected Connection` `doConnect(java.lang.String connectionId, javax.security.auth.Subject subject)` Template method to be implemented by subclasses; must return the server-side part of a connection.
`java.lang.String` `getProtocol()` Returns the protocol used by the corrispondent JMXConnectorServer.

Methods inherited from class mx4j.tools.remote.AbstractConnectionManager
`authenticate, close, closeConnection, connect, createConnectionID, getEnvironment, getSecurityContext, isClosed, setJMXConnectorServer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTTPConnectionManager

    public HTTPConnectionManager(AbstractJMXConnectorServer server,
                                 java.lang.String protocol,
                                 java.util.Map environment)

Method Detail

### getProtocol

    public java.lang.String getProtocol()

  Description copied from interface: `ConnectionManager`
  Returns the protocol used by the corrispondent JMXConnectorServer.

### doConnect

    protected Connection doConnect(java.lang.String connectionId,
                                   javax.security.auth.Subject subject)
                            throws java.io.IOException

  Description copied from class: `AbstractConnectionManager`
  Template method to be implemented by subclasses; must return the server-side part of a connection. When an remote invocation arrives, it will lookup the corrispondent server-side part of the connection and delegate the call to it. The server-side part of the connection must then (eventually) call the MBeanServer to satisfy the request.

  Specified by:
    `doConnect` in class `AbstractConnectionManager`
  Parameters:
    `connectionId` - The connection ID for connection that is returned
    `subject` - The authenticated Subject
  Returns:
    The server-side part of a connection (with the given connection ID)
  Throws:
    `java.io.IOException` - If the connection cannot be created

### doClose

    protected void doClose()
                    throws java.io.IOException

  HTTPConnectionManager does not really manages connections, so this method does nothing by default

  Specified by:
    `doClose` in class `AbstractConnectionManager`
  Throws:
    `java.io.IOException` - If this ConnectionManager cannot be closed

### doCloseConnection

    protected void doCloseConnection(Connection connection)
                              throws java.io.IOException

  HTTPConnectionManager does not really manages connections, so this method does nothing by default

  Specified by:
    `doCloseConnection` in class `AbstractConnectionManager`
  Throws:
    `java.io.IOException`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.